#include "./str.h"

char	*str_replace(const char *str, const char *fill, size_t start, size_t stop)
{
	char	*out;
	size_t	sum;

	out = malloc((strlen(str) + strlen(fill) -\
				(stop - start) + 1 * sizeof(char)));
	if (out == NULL)
		return (NULL);
	strncpy(out, str, start);
	strncpy(out + start, fill, strlen(fill));
	sum = start + strlen(fill);
	strncpy(out + sum, str + stop, strlen(str) - stop);
	out[sum + strlen(str) - stop] = '\0';
	return (out);
}

